{
  "[scss][vue][typescript][javascript][json][jsonc][jsonl]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  },

  "[jsonc]": {
    "editor.formatOnSave": false
  },

  "editor.codeActionsOnSave": {
    "source.fixAll": "explicit",
    "source.organizeImports": "explicit"
  },

  "git.closeDiffOnOperation": true,
  "editor.formatOnSave": true,
  "editor.tabSize": 2,

  "explorer.fileNesting.enabled": true,
  "explorer.fileNesting.patterns": {
    "tsconfig.json": "tsconfig.*.json, env.d.ts, typed-router.d.ts",
    "vite.config.*": "jsconfig*, vitest.config.*, cypress.config.*, playwright.config.*",
    "package.json": "package-lock.json, pnpm*, .yarnrc*, yarn*, .eslint*, eslint*, .oxlint*, oxlint*, .oxfmt*, .prettier*, prettier*, .editorconfig"
  },

  "sass.disableAutoIndent": true,
  "sass.format.convert": false,
  "sass.format.deleteWhitespace": true
}
